<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:15 CST 2018 -->
<title>ObjectsType</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ObjectsType";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ObjectsType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../projectx/game/enums/NonmovingType.html" title="enum in projectx.game.enums"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../projectx/game/enums/TileType.html" title="enum in projectx.game.enums"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/game/enums/ObjectsType.html" target="_top">Frames</a></li>
<li><a href="ObjectsType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">projectx.game.enums</div>
<h2 title="Enum ObjectsType" class="title">Enum ObjectsType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>projectx.game.enums.ObjectsType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">ObjectsType</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Bed1">Bed1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Bed2">Bed2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#BrokenWall">BrokenWall</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#CrackedWall">CrackedWall</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Door0">Door0</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Door1">Door1</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Dumbbell">Dumbbell</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#ElectricFence0">ElectricFence0</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#ElectricFence1">ElectricFence1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#ElectricFence2">ElectricFence2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#ElectricFence3">ElectricFence3</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#ElectricFence4">ElectricFence4</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#ServingArea">ServingArea</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Wall0">Wall0</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Wall1">Wall1</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Wall2">Wall2</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Wall3">Wall3</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Wall4">Wall4</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#WeightedBar">WeightedBar</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Well">Well</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#activator">activator</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/awt/Rectangle.html?is-external=true" title="class or interface in java.awt">Rectangle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#bounds">bounds</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#height">height</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#id">id</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.newdawn.slick.opengl.Texture</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#texture">texture</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#type">type</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#width">width</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#xoffset">xoffset</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#yoffset">yoffset</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#Setup-int-">Setup</a></span>(int&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../projectx/game/enums/ObjectsType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="Door0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Door0</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Door0</pre>
</li>
</ul>
<a name="Door1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Door1</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Door1</pre>
</li>
</ul>
<a name="CrackedWall">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CrackedWall</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> CrackedWall</pre>
</li>
</ul>
<a name="BrokenWall">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BrokenWall</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> BrokenWall</pre>
</li>
</ul>
<a name="ServingArea">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ServingArea</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> ServingArea</pre>
</li>
</ul>
<a name="WeightedBar">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WeightedBar</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> WeightedBar</pre>
</li>
</ul>
<a name="Dumbbell">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Dumbbell</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Dumbbell</pre>
</li>
</ul>
<a name="Well">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Well</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Well</pre>
</li>
</ul>
<a name="Bed1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Bed1</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Bed1</pre>
</li>
</ul>
<a name="Bed2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Bed2</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Bed2</pre>
</li>
</ul>
<a name="Wall0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Wall0</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Wall0</pre>
</li>
</ul>
<a name="Wall1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Wall1</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Wall1</pre>
</li>
</ul>
<a name="Wall2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Wall2</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Wall2</pre>
</li>
</ul>
<a name="Wall3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Wall3</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Wall3</pre>
</li>
</ul>
<a name="Wall4">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Wall4</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> Wall4</pre>
</li>
</ul>
<a name="ElectricFence0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ElectricFence0</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> ElectricFence0</pre>
</li>
</ul>
<a name="ElectricFence1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ElectricFence1</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> ElectricFence1</pre>
</li>
</ul>
<a name="ElectricFence2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ElectricFence2</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> ElectricFence2</pre>
</li>
</ul>
<a name="ElectricFence3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ElectricFence3</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> ElectricFence3</pre>
</li>
</ul>
<a name="ElectricFence4">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ElectricFence4</h4>
<pre>public static final&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a> ElectricFence4</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>public&nbsp;int id</pre>
</li>
</ul>
<a name="type">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>public&nbsp;int type</pre>
</li>
</ul>
<a name="activator">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activator</h4>
<pre>public&nbsp;int activator</pre>
</li>
</ul>
<a name="xoffset">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>xoffset</h4>
<pre>public&nbsp;float xoffset</pre>
</li>
</ul>
<a name="yoffset">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>yoffset</h4>
<pre>public&nbsp;float yoffset</pre>
</li>
</ul>
<a name="width">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>public&nbsp;float width</pre>
</li>
</ul>
<a name="height">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>height</h4>
<pre>public&nbsp;float height</pre>
</li>
</ul>
<a name="texture">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>texture</h4>
<pre>public&nbsp;org.newdawn.slick.opengl.Texture texture</pre>
</li>
</ul>
<a name="bounds">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bounds</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/awt/Rectangle.html?is-external=true" title="class or interface in java.awt">Rectangle</a> bounds</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (ObjectsType c : ObjectsType.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="Setup-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Setup</h4>
<pre>public&nbsp;void&nbsp;Setup(int&nbsp;type)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ObjectsType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../projectx/game/enums/NonmovingType.html" title="enum in projectx.game.enums"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../projectx/game/enums/TileType.html" title="enum in projectx.game.enums"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?projectx/game/enums/ObjectsType.html" target="_top">Frames</a></li>
<li><a href="ObjectsType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
